Loading...
Searching...
No Matches
view.hpp File Reference

## Classes

struct | ranges::make_view_closure_fn
struct | ranges::views::view_closure< ViewFn >
struct | ranges::views::view_closure_base

## Concepts

concept | ranges::simple_view_impl_
| The `simple_view_impl_` concept.
concept | ranges::simple_view_
| The `simple_view_` concept.
concept | ranges::invocable_view_closure_
| The `invocable_view_closure_` concept.
concept | ranges::invocable_view_closure
| The `invocable_view_closure` concept.

## Functions

template<typename Rng >
constexpr bool | ranges::simple_view () noexcept

## Variables

constexpr make_view_closure_fn | ranges::make_view_closure {}